<?php
/*
Plugin Name: Subscribed Commenters
Plugin URI: http://noscope.com/journal/2008/12/subscribed-commenters-plugin-for-wordpress
Description: Shows "(subscribed)" next to commenters names, when they are subscribed using Subscribe to comments plugin (http://txfx.net/code/wordpress/subscribe-to-comments/). As such, it is useless if you don't use that plugin also.
Version: 1.1
Author: Joen Asmussen
Author URI: http://noscope.com
*/ 

function showSubscriptionStatus($text) {
	if ( function_exists(comment_subscription_status) ) {
		if (comment_subscription_status() && get_comment_type() != "pingback" && get_comment_type() != "trackback" ) { 
			$status = __('(subscribed)'); 
		}
	} else {
		$status = "";
	}

	echo $text . ' ' . $status;
}

add_filter('get_comment_author_link', 'showSubscriptionStatus');

?>